package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TRcauditMapper;
import com.ruoyi.project.ehs.domain.TRcaudit;
import com.ruoyi.project.ehs.service.ITRcauditService;

import javax.annotation.Resource;

/**
 * RC审计助手Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-07
 */
@Service
public class TRcauditServiceImpl implements ITRcauditService
{
    @Resource
    private TRcauditMapper tRcauditMapper;

    /**
     * 查询RC审计助手
     *
     * @param id RC审计助手ID
     * @return RC审计助手
     */
    @Override
    public TRcaudit selectTRcauditById(Long id)
    {
        return tRcauditMapper.selectTRcauditById(id);
    }

    /**
     * 查询RC审计助手列表
     *
     * @param tRcaudit RC审计助手
     * @return RC审计助手
     */
    @Override
    public List<TRcaudit> selectTRcauditList(TRcaudit tRcaudit)
    {
        return tRcauditMapper.selectTRcauditList(tRcaudit);
    }

    /**
     * 新增RC审计助手
     *
     * @param tRcaudit RC审计助手
     * @return 结果
     */
    @Override
    public int insertTRcaudit(TRcaudit tRcaudit)
    {
        return tRcauditMapper.insertTRcaudit(tRcaudit);
    }

    /**
     * 修改RC审计助手
     *
     * @param tRcaudit RC审计助手
     * @return 结果
     */
    @Override
    public int updateTRcaudit(TRcaudit tRcaudit)
    {
        return tRcauditMapper.updateTRcaudit(tRcaudit);
    }

    /**
     * 批量删除RC审计助手
     *
     * @param ids 需要删除的RC审计助手ID
     * @return 结果
     */
    @Override
    public int deleteTRcauditByIds(Long[] ids)
    {
        return tRcauditMapper.deleteTRcauditByIds(ids);
    }

    /**
     * 删除RC审计助手信息
     *
     * @param id RC审计助手ID
     * @return 结果
     */
    @Override
    public int deleteTRcauditById(Long id)
    {
        return tRcauditMapper.deleteTRcauditById(id);
    }
}
